org.codehaus.plexus.metadata.gleaner

## Class QDoxComponentGleaner

- java.lang.Object
- - org.codehaus.plexus.metadata.gleaner.ComponentGleanerSupport
  - - org.codehaus.plexus.metadata.gleaner.QDoxComponentGleaner

All Implemented Interfaces:
  SourceComponentGleaner

    public class QDoxComponentGleaner
    extends ComponentGleanerSupport
    implements SourceComponentGleaner

A source component gleaner which uses QDox to discover Javadoc annotations.

Version:
  $Id: QDoxComponentGleaner.java 8455 2009-10-01 22:10:12Z bentmann $
Author:
  Trygve Laugstøl

### Field Summary

Fields
`static java.lang.String` `PLEXUS_ALIAS_PARAMETER`
`static java.lang.String` `PLEXUS_COMPONENT_TAG`
`static java.lang.String` `PLEXUS_CONFIGURATION_TAG`
`static java.lang.String` `PLEXUS_DEFAULT_HINT`
`static java.lang.String` `PLEXUS_DEFAULT_VALUE_PARAMETER`
`static java.lang.String` `PLEXUS_INSTANTIATION_STARTEGY_PARAMETER`
`static java.lang.String` `PLEXUS_LIFECYCLE_HANDLER_PARAMETER`
`static java.lang.String` `PLEXUS_OPTIONAL_PARAMETER`
`static java.lang.String` `PLEXUS_REQUIREMENT_TAG`
`static java.lang.String` `PLEXUS_ROLE_HINT_LIST_PARAMETER`
`static java.lang.String` `PLEXUS_ROLE_HINT_PARAMETER`
`static java.lang.String` `PLEXUS_ROLE_PARAMETER`
`static java.lang.String` `PLEXUS_VERSION_PARAMETER`

### Fields inherited from interface org.codehaus.plexus.metadata.gleaner.SourceComponentGleaner

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`QDoxComponentGleaner()`

### Method Summary

Methods
`ComponentDescriptor<?>` `glean(com.thoughtworks.qdox.JavaDocBuilder classCache, com.thoughtworks.qdox.model.JavaClass javaClass)`

### Methods inherited from class org.codehaus.plexus.metadata.gleaner.ComponentGleanerSupport

`addChildConfiguration, deHump, filterEmptyAsNull, isRequirementListType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLEXUS_COMPONENT_TAG

    public static final java.lang.String PLEXUS_COMPONENT_TAG

See Also:
  Constant Field Values

#### PLEXUS_REQUIREMENT_TAG

    public static final java.lang.String PLEXUS_REQUIREMENT_TAG

See Also:
  Constant Field Values

#### PLEXUS_CONFIGURATION_TAG

    public static final java.lang.String PLEXUS_CONFIGURATION_TAG

See Also:
  Constant Field Values

#### PLEXUS_VERSION_PARAMETER

    public static final java.lang.String PLEXUS_VERSION_PARAMETER

See Also:
  Constant Field Values

#### PLEXUS_ROLE_PARAMETER

    public static final java.lang.String PLEXUS_ROLE_PARAMETER

See Also:
  Constant Field Values

#### PLEXUS_ROLE_HINT_PARAMETER

    public static final java.lang.String PLEXUS_ROLE_HINT_PARAMETER

See Also:
  Constant Field Values

#### PLEXUS_ROLE_HINT_LIST_PARAMETER

    public static final java.lang.String PLEXUS_ROLE_HINT_LIST_PARAMETER

See Also:
  Constant Field Values

#### PLEXUS_ALIAS_PARAMETER

    public static final java.lang.String PLEXUS_ALIAS_PARAMETER

See Also:
  Constant Field Values

#### PLEXUS_DEFAULT_VALUE_PARAMETER

    public static final java.lang.String PLEXUS_DEFAULT_VALUE_PARAMETER

See Also:
  Constant Field Values

#### PLEXUS_LIFECYCLE_HANDLER_PARAMETER

    public static final java.lang.String PLEXUS_LIFECYCLE_HANDLER_PARAMETER

See Also:
  Constant Field Values

#### PLEXUS_INSTANTIATION_STARTEGY_PARAMETER

    public static final java.lang.String PLEXUS_INSTANTIATION_STARTEGY_PARAMETER

See Also:
  Constant Field Values

#### PLEXUS_OPTIONAL_PARAMETER

    public static final java.lang.String PLEXUS_OPTIONAL_PARAMETER

See Also:
  Constant Field Values

#### PLEXUS_DEFAULT_HINT

    public static final java.lang.String PLEXUS_DEFAULT_HINT

See Also:
  Constant Field Values

### Constructor Detail

#### QDoxComponentGleaner

    public QDoxComponentGleaner()

### Method Detail

#### glean

    public ComponentDescriptor<?> glean(com.thoughtworks.qdox.JavaDocBuilder classCache,
                               com.thoughtworks.qdox.model.JavaClass javaClass)
                                 throws ComponentGleanerException

Specified by:
  `glean` in interface `SourceComponentGleaner`
Throws:
  `ComponentGleanerException`